%define url_ver	%(echo %{version}|cut -d. -f1,2)

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}typelib\\((Gd|GdPrivate)\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\((Gd|GdPrivate)\\)

Name:		gnome-documents
Version:	3.34.0
Release:	%mkrel 5
License:	GPLv2+
Summary:	Document manager application for GNOME
URL:		https://wiki.gnome.org/Apps/Documents
Group:		Graphical desktop/GNOME
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch101:	0001-getting-started-Fix-the-build-with-inkscape-1.0.patch
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.1
BuildRequires:	pkgconfig(evince-document-3.0) >= 3.3.0
BuildRequires:	pkgconfig(evince-view-3.0) >= 3.7.4
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.37.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.31.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:	pkgconfig(libgdata) >= 0.13.3
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.41.3
BuildRequires:	pkgconfig(tracker-miner-2.0)
BuildRequires:	pkgconfig(tracker-sparql-2.0)
BuildRequires:	pkgconfig(webkit2gtk-4.0)
BuildRequires:	pkgconfig(zapojit-0.0) >= 0.0.2
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	inkscape
BuildRequires:	meson
BuildRequires:	poppler
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	librsvg2
Requires:	gjs
Requires:	tracker2
Requires:	tracker2-miners
# mga#6569 for most documents it wants unoconv
#          this pulls in 300MB+ (libreoffice)
Requires:	unoconv

Requires:	gnome-online-miners

Obsoletes:	%{_lib}gdprivate-gir1.0 < 3.32.0-2
Obsoletes:	%{_lib}gdprivate1.0_0 < 0.3.3
Obsoletes:	%{_lib}gdprivate1.0-devel < 0.3.3
Obsoletes:	gnome-books < 3.30.1-2

%description
gnome-documents is a document manager application for GNOME,
aiming to be a simple and elegant replacement for using Files to show
the Documents directory.

%prep
%autosetup -p1

%build
%meson -Dgetting_started=true
%meson_build

%install
%meson_install

#fix desktop files
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Documents.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*ocument*.*
%{_mandir}/man1/%{name}.1*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libgdprivate-1.0.so
%{_libdir}/%{name}/libgd.so
%{_datadir}/metainfo/org.gnome.Documents.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.documents.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Documents.enums.xml
%{_datadir}/dbus-1/services/org.gnome.Documents.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Documents.search-provider.ini
%dir %{_libdir}/%{name}/girepository-1.0
%{_libdir}/%{name}/girepository-1.0/Gd-1.0.typelib
%{_libdir}/%{name}/girepository-1.0/GdPrivate-1.0.typelib


%changelog
* Mon Oct 19 2020 ovitters <ovitters> 3.34.0-5.mga8
+ Revision: 1637152
- require tracker2 (mga#27447)

* Tue Aug 25 2020 ovitters <ovitters> 3.34.0-4.mga8
+ Revision: 1618998
- add patch fix the inkscape builderror

* Mon Feb 24 2020 tv <tv> 3.34.0-3.mga8
+ Revision: 1549850
- rebuild for new libgnome-desktop

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1536707
- Mageia 8 Mass Rebuild

* Thu Oct 24 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1455611
- new version 3.34.0

* Mon Aug 12 2019 ovitters <ovitters> 3.33.90-2.mga8
+ Revision: 1429044
- rebuild for gnome-desktop

* Tue Aug 06 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1427787
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-3.mga7
+ Revision: 1392398
- Rebuild with meson 0.50.1

* Thu Mar 28 2019 wally <wally> 3.32.0-2.mga7
+ Revision: 1380780
- drop separate gir typelib pkg for private typelibs
- filter out private typelib requires and provides
+ tv <tv>
- improve description
- fix URL

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374341
- new version 3.32.0

* Sun Mar 10 2019 daviddavid <daviddavid> 3.31.92-2.mga7
+ Revision: 1373688
- switch to webkit2gtk-4.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.92-1.mga7
+ Revision: 1373213
- new version 3.31.92

* Fri Jan 18 2019 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1357895
- new version 3.30.1

* Mon Dec 10 2018 daviddavid <daviddavid> 3.30.0-2.mga7
+ Revision: 1340004
- add missing runtime dependency on tracker-miners (mga#23987)

* Wed Sep 12 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1258550
- new version 3.30.0

* Mon Aug 20 2018 ovitters <ovitters> 3.29.91-1.mga7
+ Revision: 1253183
- new version 3.29.91

* Thu Aug 16 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1252012
- new version 3.28.2

* Wed Jun 06 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1235026
- new version 3.28.1

* Fri Mar 16 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209892
- new version 3.28.0

* Fri Mar 16 2018 tv <tv> 3.27.92-3.mga7
+ Revision: 1209834
- fix filelist
- BR inkspace
+ daviddavid <daviddavid>
- new version: 3.27.92
- switch to the meson build system
- rebuild for new libgepub 0.6.0

* Tue Feb 20 2018 ovitters <ovitters> 3.26.2-2.mga7
+ Revision: 1203742
- rebuild for gnome-desktop

* Thu Feb 01 2018 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1198414
- new version 3.26.2

* Tue Oct 03 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1168021
- new version 3.26.1

* Wed Sep 20 2017 tv <tv> 3.26.0-2.mga7
+ Revision: 1156352
- BR tracker-2.0
- new release

* Fri Jul 21 2017 ovitters <ovitters> 3.24.3-1.mga7
+ Revision: 1125833
- new version 3.24.3

* Thu May 11 2017 ovitters <ovitters> 3.24.2-1.mga6
+ Revision: 1100271
- new version 3.24.2

* Wed Apr 12 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096457
- new version 3.24.1

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094299
- new version 3.24.0

* Sun Mar 12 2017 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1092171
- new version 3.22.1

* Wed Dec 14 2016 ovitters <ovitters> 3.22.0-3.mga6
+ Revision: 1075213
- gnome-books symlinks to gnome-documents; add the require

* Mon Sep 26 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1056872
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055927
- new version 3.22.0

* Mon Aug 22 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1047879
- new version 3.20.1

* Mon Mar 21 2016 tv <tv> 3.20.0-1.mga6
+ Revision: 993657
- adjust file list
- adjust file list
+ ovitters <ovitters>
- new version 3.20.0

* Wed Jan 20 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 926078
- new version 3.19.4

* Wed Dec 16 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911096
- new version 3.19.3

* Wed Nov 11 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 902561
- new version 3.18.2

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890249
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0.1-1.mga6
+ Revision: 883081
- new release

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882741
- new release

* Fri Aug 21 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 867337
- new version 3.17.90

* Fri Jul 24 2015 sander85 <sander85> 3.17.2-2.mga6
+ Revision: 856929
- Rebuild for new gnome-desktop3

* Tue Jun 23 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 841055
- add gnome-books
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.3-1.mga6
+ Revision: 836332
- new version 3.14.3

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796858
- new version 3.14.2

* Sat Oct 18 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 782602
- new version 3.14.1
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 732820
- BR librsvg2
+ ovitters <ovitters>
- new version 3.14.0
- new version 3.13.92
- new version 3.13.91
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 656105
- fix filelist
- new version 3.13.4

* Fri May 30 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627854
- new version 3.13.1

* Fri May 02 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 619408
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608322
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604981
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599995
- new version 3.11.91

* Wed Feb 19 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594759
- new version 3.11.90

* Thu Feb 06 2014 tv <tv> 3.11.5-2.mga5
+ Revision: 584365
- rebuild for new gdata

* Thu Feb 06 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 584006
- update BR to 'tracker-*-0.18'

* Wed Nov 20 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 551979
- new version 3.10.1

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536616
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484857
- new version 3.10.0

* Wed Sep 18 2013 fwang <fwang> 3.9.92-1.mga4
+ Revision: 481158
- update file list
+ ovitters <ovitters>
- new version 3.9.92

* Tue Sep 03 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474608
- new version 3.9.91

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474375
- Rebuild against new gnome-desktop3

* Tue Aug 20 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468434
- bump req
+ ovitters <ovitters>
- new version 3.9.90

* Sun Jul 28 2013 dams <dams> 3.9.4-2.mga4
+ Revision: 459623
- adds 'gnome-online-minersx' as a requires

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458204
- new version 3.9.4

* Fri Jun 14 2013 ovitters <ovitters> 3.8.3.1-1.mga4
+ Revision: 443071
- new version 3.8.3.1

* Mon Jun 10 2013 fwang <fwang> 3.8.3-1.mga4
+ Revision: 441397
- update file list
- more br
- add more br
+ ovitters <ovitters>
- new version 3.8.3

* Sat May 25 2013 ovitters <ovitters> 3.8.2.1-1.mga4
+ Revision: 427499
- update file list
- update file list
- br itstool,libxml2-utils
- drop merged patch
- new version 3.8.2.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317501
- fix linkage
- fix linkage
- new version 3.6.2
+ ovitters <ovitters>
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297237
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295650
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288109
- new version 3.5.91

* Wed Aug 29 2012 fwang <fwang> 3.5.90-1.mga3
+ Revision: 285523
- update file list
+ ovitters <ovitters>
- new version 3.5.90

* Tue Aug 07 2012 ovitters <ovitters> 0.5.5-1.mga3
+ Revision: 279879
- new version 0.5.5

* Thu Jul 19 2012 ovitters <ovitters> 0.5.4-2.mga3
+ Revision: 272671
- require unoconv (mga#6569)

* Mon Jul 16 2012 ovitters <ovitters> 0.5.4-1.mga3
+ Revision: 271557
- new version 0.5.4

* Sun Jul 01 2012 ovitters <ovitters> 0.5.3-1.mga3
+ Revision: 266477
- fix desktop file
- update file list
- br zapojit-0.0
- new version 0.5.3

* Mon May 14 2012 ovitters <ovitters> 0.4.2-1.mga3
+ Revision: 235692
- new version 0.4.2

* Mon Apr 16 2012 ovitters <ovitters> 0.4.1-1.mga2
+ Revision: 231075
- new version 0.4.1

* Sat Apr 14 2012 ovitters <ovitters> 0.4.0.1-2.mga2
+ Revision: 230769
- require tracker (mga#5390)

* Mon Mar 26 2012 ovitters <ovitters> 0.4.0.1-1.mga2
+ Revision: 226995
- new version 0.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 226725
- drop merged patch
- new version 0.4.0

* Thu Mar 22 2012 ovitters <ovitters> 0.3.92-2.mga2
+ Revision: 225770
- rebuild for new evince

* Wed Mar 21 2012 ovitters <ovitters> 0.3.92-1.mga2
+ Revision: 225578
- add upstream patch to fix desktop files
- new version 0.3.92
- drop merged patch

* Fri Mar 09 2012 fwang <fwang> 0.3.91-1.mga2
+ Revision: 222104
- fix desktop file
- new version 0.3.91

* Wed Feb 22 2012 wally <wally> 0.3.90-1.mga2
+ Revision: 212253
- bump tracker dep
+ ovitters <ovitters>
- new version

* Tue Jan 17 2012 ovitters <ovitters> 0.3.4-2.mga2
+ Revision: 197115
- new version

* Wed Dec 28 2011 ovitters <ovitters> 0.3.3-2.mga2
+ Revision: 188285
- fix mga#3901

* Wed Dec 21 2011 wally <wally> 0.3.3-1.mga2
+ Revision: 185457
- new version 0.3.3
- drop lib and devel pkgs
- drop P0

* Wed Nov 23 2011 fwang <fwang> 0.3.2-1.mga2
+ Revision: 171132
- link with m
- new version 0.3.2

* Mon Oct 17 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 155805
- new version 0.2.1

* Mon Sep 26 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 148729
- new version 0.2.0

* Mon Sep 19 2011 fwang <fwang> 0.1.92-1.mga2
+ Revision: 145534
- new version 0.1.92

* Wed Sep 07 2011 wally <wally> 0.1.91-1.mga2
+ Revision: 140855
- new version 0.1.91
+ ovitters <ovitters>
- fix provides of the devel package

* Wed Aug 31 2011 pterjan <pterjan> 0.1.90-1.mga2
+ Revision: 136821
- Add explicit dependency in Makefile to fix parallel build
+ ovitters <ovitters>
- do not put the same file in devel as well as lib package
- use tabs everywhere, fix source URL, don't have commented out buildrequires, add gjs runtime requirement
- imported package gnome-documents

